Bug 83164 - hardware.py should report all interfaces, hwaddrs, and ipaddrs
Summary: hardware.py should report all interfaces, hwaddrs, and ipaddrs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On: 83165 83166
Blocks: 82264
TreeView+ depends on / blocked
 
Reported: 2003-01-30 21:41 UTC by Adrian Likins
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-03 21:41:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrian Likins 2003-01-30 21:41:41 UTC
Description of problem:

There is another bug filed somewhere similar to this, but
I can't find it, and I can make this more specific. 

Basically, right now up2date only sends up the ipaddr
of of `hostname`. 

It would be useful to have info about all network
interfaces, their ip address, there hwaddress,
and possible netmask and broadcast info.

Comment 1 Adrian Likins 2003-01-30 21:53:33 UTC
Pending a change in rhpl to add some methods the rhpl/ethtool, I
should be able to. Actually, I already have added this. 



Comment 2 Josef Komenda 2003-04-03 21:41:14 UTC
This went in the last release / RH9. 


Note You need to log in before you can comment on or make changes to this bug.